## visad
Class ShadowScalarType

    java.lang.Object
      visad.ShadowType
          visad.ShadowScalarType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ShadowRealType, ShadowTextType

public class ShadowScalarType
extends ShadowType

The ShadowScalarType class shadows the ScalarType class, within a DataDisplayLink.

See Also:
  Serialized Form

Field Summary
`(package private) int` `Index`

Fields inherited from class visad.ShadowType

`adjustProjectionSeam, anyContour, anyFlow, anyShape, anyText, arrowScale1, arrowScale2, c_cntrl, cnt, cntrWeight1, cntrWeight2, componentIndex, componentWithRef, curvedTexture, D0, D1, D2, D3, D4, Dbad, display, DisplayIndices, Dtype, isLinearContour3D, isTerminal, isTexture3D, isTextureMap, LEGAL, LevelOfDifficulty, Link, MappedDisplayScalar, METERS_PER_DEGREE, MultipleDisplayScalar, MultipleSpatialDisplayScalar, n_pass1, n_pass2, NESTED, NOTHING_MAPPED, p_cntrl, packingFactor1, packingFactor2, R0, R1, R2, R3, R4, Rbad, reduction1, reduction2, refToComponent, Rtype, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE, spatialDimension, spatialTuple, stepFactor1, stepFactor2, streamline1, streamline2, streamlineDensity1, streamlineDensity2, Type, ValueIndices`

Constructor Summary
`ShadowScalarType(MathType type, DataDisplayLink link, ShadowType parent)`

Method Summary
`int` `checkIndices(int[] indices, int[] display_indices, int[] value_indices, boolean[] isTransform, int levelOfDifficulty)` increment indices for ShadowScalarType and then test as possible terminal node
`DisplayTupleType` `getDisplaySpatialTuple()`
`int[]` `getDisplaySpatialTupleIndex()`
`int` `getIndex()`
`int[]` `getInheritedValues()`
`boolean` `getMappedDisplayScalar()`
`Vector` `getSelectedMapVector()`
`(package private) void` `incrementIndices(int[] indices)` increment indices for 'shadowed' ScalarType
`(package private) void` `markTransform(boolean[] isTransform)` mark Control-s as needing re-Transform

Methods inherited from class visad.ShadowType

`addIndices, addLabelsToGroup, addSwitch, addTextToGroup, addToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowCurvedTexture, allowLinearContour, anyRange, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, byteToFloat, checkAdjustProjectionSeam, checkAnimationOrValue, checkAny, checkColor, checkColorAlphaRange, checkColorOrAlpha, checkColorRange, checkContour, checkContourColorAlphaRange, checkFlow, checkNested, checkR1D3, checkR2D2, checkR3, checkR4, checkShape, checkSpatialColorAlphaRange, checkSpatialOffsetColorAlphaRange, checkSpatialRange, checkText, colorComposite, colorSum, copyIndices, equalizeAndDefault, floatToByte, getAdaptedShadowType, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponents, getComponentWithRef, getCurvedTexture, getData, getDefaultColorIndex, getDisplay, getDisplayIndices, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLevelOfDifficulty, getLink, getMultipleDisplayScalar, getMultipleSpatialDisplayScalar, getParentText, getParentTextControl, getRefToComponent, getTextMaps, getType, getValueIndices, makeBranch, makeContour, makeFlow, makePointGeometry, makePointGeometry, makeSpatialSet, makeStreamline, makeSwitch, makeText, mapValues, mapValues, mapValues, recurseComponent, recurseRange, rotateVectors, setTex3DCoords, setTexCoords, setTexStackCoords, setText, singleComposite, terminalTupleOrScalar, testIndices, testTransform, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, toString, wantIndexed, zeroIndices`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Index

    int Index

Constructor Detail

### ShadowScalarType

    public ShadowScalarType(MathType type,
                            DataDisplayLink link,
                            ShadowType parent)
                     throws VisADException,
                            RemoteException

Method Detail

### incrementIndices

    void incrementIndices(int[] indices)

  increment indices for 'shadowed' ScalarType

### checkIndices

    public int checkIndices(int[] indices,
                            int[] display_indices,
                            int[] value_indices,
                            boolean[] isTransform,
                            int levelOfDifficulty)
                     throws VisADException,
                            RemoteException

  increment indices for ShadowScalarType and then test as possible terminal node

  Overrides:
    `checkIndices` in class `ShadowType`
  Throws:
    `VisADException`
    `RemoteException`

### getInheritedValues

    public int[] getInheritedValues()

### getMappedDisplayScalar

    public boolean getMappedDisplayScalar()

  Overrides:
    `getMappedDisplayScalar` in class `ShadowType`

### getDisplaySpatialTuple

    public DisplayTupleType getDisplaySpatialTuple()

### getDisplaySpatialTupleIndex

    public int[] getDisplaySpatialTupleIndex()

### getIndex

    public int getIndex()

### getSelectedMapVector

    public Vector getSelectedMapVector()

### markTransform

    void markTransform(boolean[] isTransform)

  mark Control-s as needing re-Transform

  Overrides:
    `markTransform` in class `ShadowType`